Bug 261210

Summary: impossible to add external tools to the toolbar
Product: [Applications] kate Reporter: drbatty <admin>
Component: applicationAssignee: KWrite Developers <kwrite-bugs-null>
Status: RESOLVED FIXED    
Severity: minor CC: cfeck, cullmann, w01dnick
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Slackware   
OS: Linux   
Latest Commit: Version Fixed In: 19.12

Description drbatty 2010-12-25 09:43:18 UTC
Version:           0.2 (using KDE 4.4.3) 
OS:                Linux

for example, is not added to the main toolbar item Tools-> External Tools-> run script

Reproducible: Didn't try

Steps to Reproduce:
add plugin external tools, and settings->toolbar

Actual Results:  
many items not listed

Expected Results:  
add items as in KDE3

OS: Linux (i686) release 2.6.33.4-smp (Slackware 13.1 x86)
Compiler: gcc 4.4.4
Comment 1 Christoph Feck 2010-12-25 15:28:40 UTC
You need to select the "Main Toolbar <KatePartView>" in the toolbar configuration dialog before you can add the tool items of the editor. The other toolbar is only used for the Kate application icons.
Comment 2 Mykola Krachkovsky 2010-12-26 06:48:33 UTC
Confirm that bug is present.
e.g. I have "Tools" -> "External tools" -> "Google selection" item in the menu. But I have no ability to add this item to any toolbar. I open "Main Toolbar <KatePartView>" but there is no such item in the list.
Comment 3 Mykola Krachkovsky 2010-12-26 06:50:22 UTC
By the way I'm using KDE SC 4.6 RC1.
Comment 4 Christoph Feck 2010-12-26 14:19:07 UTC
Okey, so it is only for External Tools (I was checking Scripts)
Comment 5 Christoph Cullmann 2011-08-09 16:21:29 UTC
External Tools is removed for 4.8, lack of maintainer, closing bugs, asking for somebody to step up, all bugs to look at listed there for archiving.
http://kate-editor.org/2011/08/09/maintainer-needed-kate-external-tools-plugin/
Comment 6 Dominik Haumann 2019-09-23 13:59:10 UTC
Git commit f807570b7e25a8d572c43fcc52219f37e5c73342 by Dominik Haumann.
Committed on 23/09/2019 at 13:58.
Pushed by dhaumann into branch 'external-tools-toolbar'.

External Tools: Support adding actions to toolbar

The user workflow is a bit inconvenient, though:
1. Edit tools in Kate config dialog, close dialog
2. Menu 'Settings' > 'Configure Toolbars'
3. Select tool bar "External Tools"
4. Add actions

Still, it works.

M  +9    -9    addons/externaltools/ui.rc

https://invent.kde.org/kde/kate/commit/f807570b7e25a8d572c43fcc52219f37e5c73342
Comment 7 Dominik Haumann 2019-09-23 13:59:13 UTC
Git commit f807570b7e25a8d572c43fcc52219f37e5c73342 by Dominik Haumann.
Committed on 23/09/2019 at 13:58.
Pushed by scmsync into branch 'external-tools-toolbar'.

External Tools: Support adding actions to toolbar

The user workflow is a bit inconvenient, though:
1. Edit tools in Kate config dialog, close dialog
2. Menu 'Settings' > 'Configure Toolbars'
3. Select tool bar "External Tools"
4. Add actions

Still, it works.

M  +9    -9    addons/externaltools/ui.rc

https://commits.kde.org/kate/f807570b7e25a8d572c43fcc52219f37e5c73342